:root {
--kh-black: #424242;
--kh-red: #932d21;
--kh-yellow01: #f4e272;
--kh-yellow02: #f1dc5d;
--white: white;
--transparent: transparent;
--grey: grey;
--lightgrey: lightgrey;
--lightgrey1: #efefef;
--lightgrey2: #e6e6e6;
--lightgrey3: #696969;
--lightergrey: #dedede;
--darkgrey: #585858;
--whitesmoke: whitesmoke;
--black: #383838;
--lightergrey: #dedede;
--light-darkgrey: #d8d8d8;
--grey1: #bbbbbb;
--grey-green: #effff1;
--grey2: #ebebeb;
--default-white: white;
--default-darkwhite: #f3f3f3;
--sw-info-color: #3490dc;
--layout-row-shaddow-color-light: rgba(0,0,0,0.1);
--layout-row-shaddow-color-dark: rgba(0,0,0,0.2);
--calendar-selection-background-color: white;
--theme-heading-color: black;
--theme-heading1-color: black;
--theme-heading2-color: black;
--theme-heading3-color: black;
--theme-body-font-color: #424242;
--theme-color-lighten-10: hsl(var(--theme-color),40%);
--theme-color-lighten-20: hsl(var(--theme-color),30%);
--theme-color-darken-10: hsl(var(--theme-color),60%);
--theme-color-darken-20: hsl(var(--theme-color),70%);
--donate-wizard-button-next-color: #585858;
--theme-font-color: darkwhite;
--theme-color-contrast: whitesmoke;
--theme-color: var(--kh-yellow02);
--theme-nav-backgroundcolor: var(--kh-yellow02);
--theme-nav-color: var(--kh-black);
--default-black: var(--black);
--default-grey: var(--grey);
--navbar-background-color: var(--theme-nav-backgroundcolor);
--navbar-collapsed-background-color: var(--whitesmoke);
--navbar-font-color: var(--theme-nav-color);
--navbar-collapsed-font-color: var(--default-black);
--navbar-nav-active-background-color: var(--kh-yellow01);
--page-title-border-color: var(--theme-color);
--footer-background-color: var(--theme-color);
--footer-font-color: var(--kh-black);
--cta-events-date-border-color: var(--theme-color);
--footer-heading-color: var(--kh-black);
--navbar-nav-li-hover-background-color: var(--kh-yellow01);
}

main:has(.lokal-kh) .article__list-summary {
display: none;
}



body {
background-color: #fdf9e5;
}

.home {
  background-color: #f9f1be;
}

.article-card-small__content {
   background-color: #fff;
}
.article-card-small__read-more {
   font-size: 16px;
}
.article-card__content {
   background-color: #fff;
}

.navbar__firmname {
    font-size: 1.9rem;
    text-transform: capitalize;
}

.navbar {
  height: 90px;
  font-size: 16px;
   
}

.calendar-list {
background-color: #fff;
}
.calendar-list__date {
background-color: #fff;
}
.calendar-list__event {
background-color: #fff;
}

#pagetitlecontainer .page-title { 
   text-align: center;
   font-size: 23px;
   font-weight: 500;
   background-color: unset;
}

.overskrift {
    letter-spacing: 1.1px;
    font-size: 2.4rem;
    text-align: center;
    font-weight: 600;
    color: #1b1c1d;
}

 .home .f-icon .icon-wrapper {
        position: absolute;
        z-index: 1;
        bottom: -111px;  
        right: 5vw;
    }

    .home .f-icon .media_icon {
        width: 40px;
        background-color: black
    }

   .home .f-icon .fab, .fa-brands {
        font-size: 55px !important;
        text-align: center;
    }

   .home .f-icon .icon-wrapper a {
        text-decoration: none;
        margin: 5px;
        color: #2e2b2b;
    }


.home .panel-box {
    border-color: #f1dc5d;
}

.home .panel-box__header {
    background-color: #f1dc5d;
    border-color: #f1dc5d;
}

.home .cta-events {
    background-color: #ffffff;
    box-shadow: 2px 3px 2px #9e9e9e36;
}


.home .panel-box {
  display: flex;
    flex-direction: column;
  margin-bottom: 20px;
}
 
.home .panel-box__body {
  flex: 1;
}
 
.home .panel-box__content {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.home .image-list__button {
font-size: 16px;
}
/* #############  MÅNEDENS BILDER #############   */

.mnd-bilder .grid__sm--3 {
        grid-template-columns: repeat(auto-fit, minmax(315px, 1fr));
}

.mnd-bilder .article-card-overlay__heading {
    font-size: 1.9rem;
    font-weight: 400 !important;
    color: #000000;
    margin: 0 15px 30px 15px;
    padding: 5px 10px;
    background-color: rgb(255 239 158 / 94%);
}

/* #############  ALBUM  #############   */

.image-modal__inner {
  background:white;
  overflow: auto;
  max-height: 90vh;
   justify-content: start;
}
 
.image-modal__description:not(:empty) {
    padding: 16px;
    max-width: 100%;
}

 
.image-modal__inner * {
  color: black !important;
 
}
 
.image-modal__inner td {
  padding: 4px 6px !important;
}
 
.image-modal__inner td p {
  margin:0;
}



/* #############  OM OSS #############   */

.about .kh-styret .grid__sm--3 {
        grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    }

.about .intro {
    background-color: #faf2c1;
    padding: 50px;
}

.about .cta-box__content-container {
    height: 70px;
   background-color: #f9f0b9;
}


.about .cta-box__button {
    background-color: rgb(249 240 185);
    font-size: 17px;
}


.about .panel-box {
   border-color: #f1dc5d;
   background-color: #faf2c1;
}

.about .panel-box__header {
     background-color: #f1dc5d;
}


.about .layout__row--bordertop-light {
    border-top-color: #faf2c1;
}

.utleie .grid__md--2 {
        grid-template-columns: 1fr;
        
    }

.about .grid__md--2 {
background-color: #faf2c1;
border: 1px solid #f1dc5d;
}

.contact__form-container {
    background-color: #faf2c1;
}

 .contact {
    background-color: #faf2c1;
    
}

 .contact__item-heading {
background-color: #faf2c1;
}

/* #############  BUTTONS #############   */


  .kh-btn-container {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        gap: 10px;
        margin-top: 20px;
        padding-block: 15px;
    }


    .kh-btn-primary {
        background: #f1dc5d;
        color: #1b1c1d;
        padding: 10px 25px;
        border: 1px solid #f1dc5d;
        border-radius: 5px;
        font-size: 20px;
        text-align: center;
        transition: 0.3s;
        max-width: 300px;
        cursor: pointer;
    }

    .kh-btn-primary a {
        text-decoration: none;
        color: inherit;
        font-weight: 500;
        letter-spacing: 0.1rem;
    }

    .kh-btn-primary:hover {
        background: white;
        border: 1px solid #f1dc5d;
        color: #1b1c1d;
        transform: none;
    }

   .kh-primary a:hover {
         text-decoration: none;
}

/* #############  ÅRSSKRIFT #############   */

.aarsskrift .grid__lg--3 {
        grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
}

.aarsskrift .article-card__content {
    background-color: #ffffff;
}

/* #############  BØKER #############   */

.books .books-sale .grid__lg--3 {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.books .datalist-card__heading {
    display: none;
}


/* #############  KLÆBU BYGDEMUSEUM #############   */


.museum .panel-hero-image {
     max-height: 590px;
}

.museum .panel-hero-image__nav-button-icon {
     visibility: hidden;
}

.museum .leie .grid__sm--3 {
        grid-template-columns: 1fr 1fr;
}

.museum .leie .panel-box {
   border: 1px solid #9b9796;
    border-color: #9b9796;
    border-radius: 5px;
    box-shadow: 2px 1px 3px #9b9796a8;
}

.museum .leie .panel-box__header {
    background-color: #ffffff;
    border-color: #9b9796;
    border-radius: 5px 5px;
}

h2.panel-box__heading {
    font-size: 2.0rem;
    text-align: center;
    font-weight: 500;
}

.museum .article__list-summary {
   display: none;
}

.album-detail__back { 
    display: none;
}

.nearest-first {
    display: flex;
    flex-direction: column-reverse;
}



/* #############  iframe  #############   */

.iframe-page .body-container {
  display: flex;
  flex-direction: column;
}

.iframe-page main {
  flex: 1;
  position: relative;
}
.iframe-page iframe {
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}
.iframe-page .layout__column--sectionwrapper>div{
    position:unset !important;
}

#iframe_a__wrapper {
display:none;
}

 #iframe_a__wrapper.modal_open{
display: block;
position:fixed;
width:100%;
height:100%;
background:#00000050;

    top: 0;
    left: 0;
    z-index: 100;
    width: 100%;
    height: 100%;
    display: flex
;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
 #iframe_a {
background:white;
height: 80vh;
    width: 80vw;
border-radius:6px;
}

.iframe_a__close_wrapper{
    width: 80vw;
    text-align:end;
    
}
.iframe_a__close{
    padding:8px;
    color:white;
    cursor:pointer;
    font-weight:500;
    font-size:1.2em;
}

/* #############  GAMLE FESTSAL  #############   */


.box_list {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  padding: 16px 0;
}
.box_wrapper {
  display: flex;
  width: 30%;
  border: 1px solid #f1dc5d;
  flex-direction: column;
  justify-content: space-between;
  background-color: white;
}
.box_info {
  padding: 16px;
}

.box_content_wrapper {
  display: none;
  position: fixed;
  margin: auto;
  background: #0000005c;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 500;
  padding: 3vh 5vw;
  flex-direction: column;
}
.box_list .box_wrapper.open .box_content_wrapper {
  display: flex;
}

.box_list .box_content {
  background: #fff9db;
  padding: 16px 16px 36px 16px;
  min-width: 70vw;
  overflow: auto;
  border-radius: 6px;
}

.box_content_wrapper__top {
  margin: 0 0 0 auto;
  padding: 8px;
}

.box_list table {
  border: 0;
}
.box_list td {
  padding: 2px 16px 2px 12px;
}

.box_list .btn_box_open {
  border: none;
  padding: 8px 16px 12px 16px;
  cursor: pointer;
  width: 100%;
  background-color: #f1dc5d
}
.box_list .btn_box_close {
  border: none;
  padding: 8px 16px;
  cursor: pointer;
}

.box_content__header {
  font-size: 1.2em;
  margin-top: 0;
}
 

/* #############  LITT AV HVERT  #############   */



.lokalt .grid__sm--2 {
        grid-template-columns: 1fr;
    }

@media only screen and (max-width: 763px) {
.kh-btn-container {
flex-direction: column;
}
}

@media only screen and (max-width: 796px) {
      .image-modal__description:not(:empty) {
      overflow: auto;
}
}
